Liferay.Loader.define("journal-web@4.0.130/js/ddm_structure/panels/PluginContext.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.Component = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * Context for shared data, intended as a mechanism for sharing between
     * a host application that uses `usePlugins()` and its hosted plugin modules.
     */
    var PluginContext = /*#__PURE__*/_react.default.createContext({});
    /**
     * Convenience function that returns a component that provides the passed
     * `value` as context.
     */

    var Component = function Component(value) {
      return function (_ref) {
        var children = _ref.children;
        return (/*#__PURE__*/_react.default.createElement(PluginContext.Provider, {
            value: value
          }, children)
        );
      };
    };

    exports.Component = Component;
    var _default = PluginContext;
    exports.default = _default;
    //# sourceMappingURL=PluginContext.es.js.map
  }
});
//# sourceMappingURL=PluginContext.es.js.map