Liferay.Loader.define("asset-list-web@2.0.108/js/AssetEntryListDropdownDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalState = require("frontend-js-metal-web$metal-state");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var AssetEntryListDropdownDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(AssetEntryListDropdownDefaultEventHandler, _DefaultEventHandler);

      function AssetEntryListDropdownDefaultEventHandler() {
        _classCallCheck(this, AssetEntryListDropdownDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(AssetEntryListDropdownDefaultEventHandler).apply(this, arguments));
      }

      _createClass(AssetEntryListDropdownDefaultEventHandler, [{
        key: "deleteAssetListEntry",
        value: function deleteAssetListEntry(itemData) {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            this._send(itemData.deleteAssetListEntryURL);
          }
        }
      }, {
        key: "permissionsAssetEntryList",
        value: function permissionsAssetEntryList(itemData) {
          (0, _frontendJsWeb.openModal)({
            title: Liferay.Language.get('permissions'),
            url: itemData.permissionsAssetEntryListURL
          });
        }
      }, {
        key: "renameAssetListEntry",
        value: function renameAssetListEntry(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: Liferay.Language.get('rename-collection'),
            formSubmitURL: itemData.renameAssetListEntryURL,
            idFieldName: 'id',
            idFieldValue: itemData.assetListEntryId,
            mainFieldLabel: Liferay.Language.get('title'),
            mainFieldName: 'title',
            mainFieldPlaceholder: Liferay.Language.get('title'),
            mainFieldValue: itemData.assetListEntryTitle,
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "_send",
        value: function _send(url) {
          submitForm(document.hrefFm, url);
        }
      }]);

      return AssetEntryListDropdownDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    AssetEntryListDropdownDefaultEventHandler.STATE = {
      spritemap: _metalState.Config.string()
    };
    var _default = AssetEntryListDropdownDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=AssetEntryListDropdownDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=AssetEntryListDropdownDefaultEventHandler.es.js.map